Subject: Re: [PATCH] use persistent memory for rejected paths

From: Clemens Buchacher <[email-masked]>
Date: Mon, 15 Nov 2010 20:41:33 +0100

On Mon, Nov 15, 2010 at 08:03:40PM +0100, Matthieu Moy wrote:
> Clemens Buchacher <[email-masked]> writes:
> 
> > An aborted merge prints the list of rejected paths as part of the
> > error message. Some of those paths do not have static buffers, so
> > we have to keep a copy.
> 
> Like Junio, I'm surprised by this, but I guess you encountered the
> problem.

You don't have to take my word for it, just try the test. It should
be failing nicely.  :-)

> Did you remove all uses of "struct rejected_paths_list"? If so, you
> can remove its declaration, if not, why?

Indeed I can. Thanks.

Clemens